Get a single RewardKit reward
curl --request GET \
--url https://api-v2.boost.xyz/reward-kit/boosts/:idimport requests
url = "https://api-v2.boost.xyz/reward-kit/boosts/:id"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api-v2.boost.xyz/reward-kit/boosts/:id', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-v2.boost.xyz/reward-kit/boosts/:id",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api-v2.boost.xyz/reward-kit/boosts/:id"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api-v2.boost.xyz/reward-kit/boosts/:id")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-v2.boost.xyz/reward-kit/boosts/:id")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"boost": {
"id": "8453:0x378632819f39c74c4f56b1429e760739c5fb51b7:1",
"chainId": 123,
"incentives": [
{
"type": "AllowListIncentive",
"assetAddress": "0x378632819f39c74c4f56b1429e760739c5fb51b7",
"rewardPercentage": 50,
"rebatePercentage": 7,
"rewardAmount": "<string>",
"rewardAmountFormatted": "<string>",
"maxReward": "<string>",
"maxRewardUsdValue": 123,
"rewardUsdValue": 123,
"tokenSymbol": "<string>",
"tokenImageUri": "<string>",
"metadata": {
"id": "<string>",
"chainId": 123,
"address": "0x378632819f39c74c4f56b1429e760739c5fb51b7",
"decimals": 123,
"name": "<string>",
"symbol": "<string>",
"imageUri": "<string>"
}
}
],
"actionTemplate": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"projectId": "<string>",
"actionType": "mint",
"projectImage": "<string>",
"description": "<string>",
"category": "defi"
},
"status": "active",
"txHash": "<string>",
"boostName": "<string>",
"nftImageUri": "<string>",
"nftName": "<string>",
"tokenImageUri": "<string>",
"blockTimestamp": "<string>",
"projectUrl": "<string>",
"startTime": "2023-11-07T05:31:56Z",
"endTime": "2023-11-07T05:31:56Z",
"claimCount": 1,
"totalBudget": "<string>",
"rewardsDistributed": "<string>",
"signature": {
"claimant": "0x378632819f39c74c4f56b1429e760739c5fb51b7",
"incentiveId": 1,
"signature": "<string>",
"referrer": "0x378632819f39c74c4f56b1429e760739c5fb51b7"
},
"accessStatus": "allowed",
"actionTokenMetadata": {
"tokenSymbol": "<string>",
"tokenContract": "0x378632819f39c74c4f56b1429e760739c5fb51b7",
"chainId": 123,
"tokenImage": "<string>",
"decimals": 123,
"marketCap": 123,
"priceChange24Hr": 123,
"volume24Hr": 123,
"priceUsd": 123,
"holders": 123
},
"verificationLevel": "<string>",
"usdDistributed24Hr": 12345.67,
"usdDistributed1Hr": 1234.56
},
"totalClaims": 1,
"claims": [
{
"address": "0x378632819f39c74c4f56b1429e760739c5fb51b7",
"txHash": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}
],
"status": "active",
"txHash": "<string>",
"accessStatus": "allowed",
"verificationLevel": "<string>"
}{
"error": "<string>"
}RewardKit
Get a single RewardKit reward
Retrieve details on a reward, optionally providing a claimant address to decorate with additional claim context.
GET
/
reward-kit
/
boosts
/
:id
Get a single RewardKit reward
curl --request GET \
--url https://api-v2.boost.xyz/reward-kit/boosts/:idimport requests
url = "https://api-v2.boost.xyz/reward-kit/boosts/:id"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api-v2.boost.xyz/reward-kit/boosts/:id', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-v2.boost.xyz/reward-kit/boosts/:id",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api-v2.boost.xyz/reward-kit/boosts/:id"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api-v2.boost.xyz/reward-kit/boosts/:id")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-v2.boost.xyz/reward-kit/boosts/:id")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"boost": {
"id": "8453:0x378632819f39c74c4f56b1429e760739c5fb51b7:1",
"chainId": 123,
"incentives": [
{
"type": "AllowListIncentive",
"assetAddress": "0x378632819f39c74c4f56b1429e760739c5fb51b7",
"rewardPercentage": 50,
"rebatePercentage": 7,
"rewardAmount": "<string>",
"rewardAmountFormatted": "<string>",
"maxReward": "<string>",
"maxRewardUsdValue": 123,
"rewardUsdValue": 123,
"tokenSymbol": "<string>",
"tokenImageUri": "<string>",
"metadata": {
"id": "<string>",
"chainId": 123,
"address": "0x378632819f39c74c4f56b1429e760739c5fb51b7",
"decimals": 123,
"name": "<string>",
"symbol": "<string>",
"imageUri": "<string>"
}
}
],
"actionTemplate": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"projectId": "<string>",
"actionType": "mint",
"projectImage": "<string>",
"description": "<string>",
"category": "defi"
},
"status": "active",
"txHash": "<string>",
"boostName": "<string>",
"nftImageUri": "<string>",
"nftName": "<string>",
"tokenImageUri": "<string>",
"blockTimestamp": "<string>",
"projectUrl": "<string>",
"startTime": "2023-11-07T05:31:56Z",
"endTime": "2023-11-07T05:31:56Z",
"claimCount": 1,
"totalBudget": "<string>",
"rewardsDistributed": "<string>",
"signature": {
"claimant": "0x378632819f39c74c4f56b1429e760739c5fb51b7",
"incentiveId": 1,
"signature": "<string>",
"referrer": "0x378632819f39c74c4f56b1429e760739c5fb51b7"
},
"accessStatus": "allowed",
"actionTokenMetadata": {
"tokenSymbol": "<string>",
"tokenContract": "0x378632819f39c74c4f56b1429e760739c5fb51b7",
"chainId": 123,
"tokenImage": "<string>",
"decimals": 123,
"marketCap": 123,
"priceChange24Hr": 123,
"volume24Hr": 123,
"priceUsd": 123,
"holders": 123
},
"verificationLevel": "<string>",
"usdDistributed24Hr": 12345.67,
"usdDistributed1Hr": 1234.56
},
"totalClaims": 1,
"claims": [
{
"address": "0x378632819f39c74c4f56b1429e760739c5fb51b7",
"txHash": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}
],
"status": "active",
"txHash": "<string>",
"accessStatus": "allowed",
"verificationLevel": "<string>"
}{
"error": "<string>"
}Path Parameters
Query Parameters
Response
Returns single RewardKit reward
The response object for a single RewardKit reward.
The state of the reward, either active, claimed, or claimable. Where active is when the reward is still eligible to be completed, claimed is when user has claimed the reward, and claimable is when the user has completed the required action and is eligible to claim.
Available options:
active, claimed, claimable